org.bdgenomics.adam.rdd.read

# SAMInFormatter

###
Related Docs: object SAMInFormatter | package read

#### case class SAMInFormatter extends AnySAMInFormatter[SAMInFormatter] with Product with Serializable

Linear Supertypes
Product, Equals, AnySAMInFormatter[SAMInFormatter], InFormatter[AlignmentRecord, AlignmentRecord, AlignmentRecordRDD, SAMInFormatter], Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SAMInFormatter
2. Product
3. Equals
4. AnySAMInFormatter
5. InFormatter
6. Serializable
7. Serializable
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new SAMInFormatter()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### val companion: SAMInFormatter.type

   Attributes
     protected
   Definition Classes
     SAMInFormatter → InFormatter

7. #### val converter: AlignmentRecordConverter

   A converter from AlignmentRecord to SAMRecord.

   A converter from AlignmentRecord to SAMRecord.

   Definition Classes
     SAMInFormatter → AnySAMInFormatter

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### val header: SAMFileHeaderWritable

    A serializable form of the SAM File Header.

    A serializable form of the SAM File Header.

    Definition Classes
      SAMInFormatter → AnySAMInFormatter

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### def makeWriter(os: OutputStream): SAMFileWriter

    Attributes
      protected
    Definition Classes
      SAMInFormatter → AnySAMInFormatter

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### val recordGroups: RecordGroupDictionary

    A dictionary describing the read groups these reads are from.

    A dictionary describing the read groups these reads are from.

    Definition Classes
      SAMInFormatter → AnySAMInFormatter

18. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

19. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### def write(os: OutputStream, iter: Iterator[AlignmentRecord]): Unit

    Writes alignment records to an output stream in SAM format.

    Writes alignment records to an output stream in SAM format.

    os

      An OutputStream connected to a process we are piping to.

    iter

      An iterator of records to write.

    Definition Classes
      AnySAMInFormatter → InFormatter

### Inherited from Product

### Inherited from Equals

### Inherited from AnySAMInFormatter[SAMInFormatter]

### Inherited from InFormatter[AlignmentRecord, AlignmentRecord, AlignmentRecordRDD, SAMInFormatter]

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped